> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawapay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Active Configuration

Allows you to query the MMOs (correspondents) that have been configured for your account.
You can also retrieve supporting information about your configuration:

* Your company name on your PawaPay account.
* The currency for the MMO.
* Minimum and maximum amounts for deposits, payouts and refunds.
* The name of the company that is shown to the customer on the SMS receipt (`ownerName`).


## OpenAPI

````yaml openapi_v1 get /active-conf
openapi: 3.0.0
info:
  title: PawaPay Merchant API v1
  description: Please find complete documentation from https://docs.pawapay.io/.
  version: v1
  x-logo:
    url: >-
      https://global-uploads.webflow.com/62824591015aa314fd308df1/6411b26596e3de3f52551c00_Logopawapay-p-500.png
    href: https://docs.pawapay.io/
    altText: PawaPay logo
servers:
  - url: https://api.sandbox.pawapay.io
    description: PawaPay Merchant API sandbox
  - url: https://api.pawapay.io
    description: PawaPay Merchant API production
security:
  - bearerAuth: []
tags:
  - name: payouts
    x-displayName: Payouts
  - name: deposits
    x-displayName: Deposits
  - name: refunds
    x-displayName: Refunds
  - name: payment-page
    x-displayName: Payment Page
  - name: toolkit
    x-displayName: Toolkit
  - name: wallet-balances
    x-displayName: Wallet balances
paths:
  /active-conf:
    get:
      tags:
        - toolkit
      summary: Active Configuration
      operationId: active_conf
      parameters: []
      responses:
        '200':
          description: If a request has been processed by PawaPay successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerActiveConfigResponse'
              examples:
                Success:
                  value:
                    merchantId: MERCHANT_INC
                    merchantName: Merchant Inc.
                    countries:
                      - country: GHA
                        correspondents:
                          - correspondent: AIRTELTIGO_GHA
                            currency: GHS
                            ownerName: Merchant Inc.
                            operationTypes:
                              - operationType: DEPOSIT
                                minTransactionLimit: '1'
                                maxTransactionLimit: '1000'
                              - operationType: PAYOUT
                                minTransactionLimit: '1'
                                maxTransactionLimit: '1000'
                              - operationType: REFUND
                                minTransactionLimit: '1'
                                maxTransactionLimit: '1000'
                          - correspondent: MTN_MOMO_GHA
                            currency: GHS
                            ownerName: Merchant Inc.
                            operationTypes:
                              - operationType: DEPOSIT
                                minTransactionLimit: '1'
                                maxTransactionLimit: '2000'
                              - operationType: PAYOUT
                                minTransactionLimit: '1'
                                maxTransactionLimit: '2000'
                              - operationType: REFUND
                                minTransactionLimit: '1'
                                maxTransactionLimit: '2000'
                      - country: ZMB
                        correspondents:
                          - correspondent: AIRTEL_OAPI_ZMB
                            currency: ZMW
                            ownerName: PawaPay Zambia
                            operationTypes:
                              - operationType: DEPOSIT
                                minTransactionLimit: '1'
                                maxTransactionLimit: '10000'
                          - correspondent: MTN_MOMO_ZMB
                            currency: ZMW
                            ownerName: PawaPay Zambia
                            operationTypes:
                              - operationType: DEPOSIT
                                minTransactionLimit: '1'
                                maxTransactionLimit: '10000'
        '401':
          description: Authentication Failure. Please check your authentication token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Authentication Failure:
                  value:
                    errorId: cad1529e-040b-4c9d-a21d-2ba3056ff750
                    errorCode: 2
                    errorMessage: Authentication error
        '500':
          description: If a system error has occured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                System Error:
                  value:
                    errorId: d428a89e-fa8b-42b8-ba20-68be20d50af1
                    errorCode: 0
                    errorMessage: Internal error
components:
  schemas:
    CustomerActiveConfigResponse:
      required:
        - merchantId
        - merchantName
        - countries
      type: object
      properties:
        merchantId:
          type: string
          description: Your unique alphanumeric ID in the PawaPay platform.
          example: MERCHANT_INC
        merchantName:
          type: string
          description: Your company name as configured in the PawaPay platform.
          example: Merchant Inc.
        countries:
          type: array
          items:
            $ref: '#/components/schemas/CustomerActiveCountryConfigResponse'
    ErrorResponse:
      required:
        - errorId
        - errorCode
        - errorMessage
      type: object
      properties:
        errorId:
          maxLength: 36
          type: string
          description: A unique error ID in the PawaPay platform.
          example: 63743264-7292-11ea-bc55-0242ac130003
        errorCode:
          type: integer
          description: PawaPay internal error code.
          example: 1
        errorMessage:
          type: string
          description: Error message.
          example: Internal error
    CustomerActiveCountryConfigResponse:
      required:
        - country
        - correspondents
      type: object
      properties:
        country:
          $ref: '#/components/schemas/Country'
        correspondents:
          type: array
          items:
            $ref: '#/components/schemas/CustomerActiveGatewayConfigResponse'
    Country:
      type: string
      description: >
        The country in which the MMO operates. 


        Format is ISO 3166-1 alpha-3, three character country code in upper
        case. Read more from
        [Wikipedia](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#Officially_assigned_code_elements).
      example: ZMB
    CustomerActiveGatewayConfigResponse:
      required:
        - correspondent
        - currency
        - operationTypes
      type: object
      properties:
        correspondent:
          $ref: '#/components/schemas/Correspondent'
        currency:
          $ref: '#/components/schemas/Currency'
        ownerName:
          type: string
          description: >-
            The name of the company that is shown to the customer on the SMS
            receipt.
        operationTypes:
          type: array
          items:
            $ref: '#/components/schemas/CustomerActiveOperationTypeConfigResponse'
    Correspondent:
      type: string
      description: >
        The correspondent code refers to the specific MMO that the specified
        phone number (MSISDN) has an active mobile money wallet with. 


        You can find all the supported correspondents [listed
        here](/using_the_api#correspondents). 


        The [active
        configuration](/v1/api-reference/toolkit/active-configuration) endpoint
        provides the list of correspondents configured for your account.


        You can use the [predict
        correspondent](/v1/api-reference/toolkit/predict-correspondent) enpoint
        to predict the correct correspondent to use based on the phone number
        (MSISDN).
      example: MTN_MOMO_ZMB
    Currency:
      type: string
      description: >
        The currency in which the `amount` is specified.


        Format must be the ISO 4217 three character currency code in upper case.
        Read more from
        [Wikipedia](https://en.wikipedia.org/wiki/ISO_4217#Active_codes).


        You can find all the supported currencies that the specific
        `correspondent` supports [from here](/using_the_api#correspondents).


        The [active
        configuration](/v1/api-reference/toolkit/active-configuration) endpoint
        provides the list of correspondents configured for your account together
        with the currencies.
      example: ZMW
    CustomerActiveOperationTypeConfigResponse:
      required:
        - operationType
        - minTransactionLimit
        - maxTransactionLimit
      type: object
      properties:
        operationType:
          type: string
          example: DEPOSIT
          enum:
            - DEPOSIT
            - PAYOUT
            - PUSH_DEPOSIT
            - REFUND
        minTransactionLimit:
          type: string
          pattern: ^([0]|([1-9][0-9]{0,17}))([.][0-9]{0,3}[1-9])?$
          description: >-
            Minimum transaction amount allowed for this correspondent for this
            operation type.
          example: '1.0000'
        maxTransactionLimit:
          type: string
          pattern: ^([0]|([1-9][0-9]{0,17}))([.][0-9]{0,3}[1-9])?$
          description: >-
            Maximum transaction amount allowed for this correspondent for this
            operation type.
          example: '10000.0000'
  securitySchemes:
    bearerAuth:
      type: http
      description: See [Authentication](/using_the_api#authentication).
      scheme: bearer
      bearerFormat: JWT

````